Subject: RFC: Set MSG_MORE in iscsit_fe_sendpage_sg to avoid sending multiple TCP packets instead of one

From: Thomas Glanzmann <[email-masked]>
Date: Sun, 9 Feb 2014 08:40:27 +0100

Hello Eric,
I took the liberty to test and make your patch compile by adding the
following changeset:

--- a/drivers/target/iscsi/iscsi_target_parameters.c
+++ b/drivers/target/iscsi/iscsi_target_parameters.c
@@ -79,7 +79,7 @@ int iscsi_login_tx_data(
         */
        conn->if_marker += length;

-       tx_sent = tx_data(conn, &iov[0], iov_cnt, length);
+       tx_sent = tx_data(conn, &iov[0], iov_cnt, length, 0);
        if (tx_sent != length) {
                pr_err("tx_data returned %d, expecting %d.\n",
                                tx_sent, length);

Hello Nab,
please consider this for upstream. If I should clean it up in two patches:

        - One patch to change the interface iscsit_do_tx_data and tx_data

        - Another patch who uses the newly introduced interface

Let me know. This is how I would have normally done it. I set Eric as author
but singed it off and tested it. My testbed was: Using ESXi 5.5.0 GA to create
a 500 GB VMFS filesystem via iSCSI.

Cheers,
        Thomas